## org.gnu.gtk
Class GtkStockItem

    java.lang.Object
      org.gnu.gtk.GtkStockItem

public class GtkStockItem
extends java.lang.Object

Stock items are combinations of icons and text which are used in various widgets, such as gtk.Button. They have been created as a standard part of gtk so that gtk themes have even more control over the display of applications, by allowing them to change standard icons. The use of stock items is highly recommended.

In these Java bindings for Gtk, we have created a GtkStockItem object which should be passed to widget methods, rather than the stock id string as is done in gtk. This should help prevent errors due to typing, and also allows stronger typing of many methods.

TODO: give a link to details of all the stock items.

Field Summary
`static GtkStockItem` `ABOUT` BEGINNING OF GENERATED CODE
`static GtkStockItem` `ADD`
`static GtkStockItem` `APPLY`
`static GtkStockItem` `BOLD`
`static GtkStockItem` `CANCEL`
`static GtkStockItem` `CDROM`
`static GtkStockItem` `CLEAR`
`static GtkStockItem` `CLOSE`
`static GtkStockItem` `COLOR_PICKER`
`static GtkStockItem` `CONNECT`
`static GtkStockItem` `CONVERT`
`static GtkStockItem` `COPY`
`static GtkStockItem` `CUT`
`static GtkStockItem` `DELETE`
`static GtkStockItem` `DIALOG_AUTHENTICATION`
`static GtkStockItem` `DIALOG_ERROR`
`static GtkStockItem` `DIALOG_INFO`
`static GtkStockItem` `DIALOG_QUESTION`
`static GtkStockItem` `DIALOG_WARNING`
`static GtkStockItem` `DIRECTORY`
`static GtkStockItem` `DISCONNECT`
`static GtkStockItem` `DND`
`static GtkStockItem` `DND_MULTIPLE`
`static GtkStockItem` `EDIT`
`static GtkStockItem` `EXECUTE`
`static GtkStockItem` `FIND`
`static GtkStockItem` `FIND_AND_REPLACE`
`static GtkStockItem` `FLOPPY`
`static GtkStockItem` `GO_BACK`
`static GtkStockItem` `GO_DOWN`
`static GtkStockItem` `GO_FORWARD`
`static GtkStockItem` `GO_UP`
`static GtkStockItem` `GOTO_BOTTOM`
`static GtkStockItem` `GOTO_FIRST`
`static GtkStockItem` `GOTO_LAST`
`static GtkStockItem` `GOTO_TOP`
`static GtkStockItem` `HARDDISK`
`static GtkStockItem` `HELP`
`static GtkStockItem` `HOME`
`static GtkStockItem` `INDENT`
`static GtkStockItem` `INDEX`
`static GtkStockItem` `ITALIC`
`static GtkStockItem` `JUMP_TO`
`static GtkStockItem` `JUSTIFY_CENTER`
`static GtkStockItem` `JUSTIFY_FILL`
`static GtkStockItem` `JUSTIFY_LEFT`
`static GtkStockItem` `JUSTIFY_RIGHT`
`static GtkStockItem` `MEDIA_FORWARD`
`static GtkStockItem` `MEDIA_NEXT`
`static GtkStockItem` `MEDIA_PAUSE`
`static GtkStockItem` `MEDIA_PLAY`
`static GtkStockItem` `MEDIA_PREVIOUS`
`static GtkStockItem` `MEDIA_RECORD`
`static GtkStockItem` `MEDIA_REWIND`
`static GtkStockItem` `MEDIA_STOP`
`static GtkStockItem` `MISSING_IMAGE`
`static GtkStockItem` `NETWORK`
`static GtkStockItem` `NEW`
`static GtkStockItem` `NO`
`static GtkStockItem` `OK`
`static GtkStockItem` `OPEN`
`static GtkStockItem` `PASTE`
`static GtkStockItem` `PREFERENCES`
`static GtkStockItem` `PRINT`
`static GtkStockItem` `PRINT_PREVIEW`
`static GtkStockItem` `PROPERTIES`
`static GtkStockItem` `QUIT`
`static GtkStockItem` `REDO`
`static GtkStockItem` `REFRESH`
`static GtkStockItem` `REMOVE`
`static GtkStockItem` `REVERT_TO_SAVED`
`static GtkStockItem` `SAVE`
`static GtkStockItem` `SAVE_AS`
`static GtkStockItem` `SELECT_COLOR`
`static GtkStockItem` `SELECT_FONT`
`static GtkStockItem` `SORT_ASCENDING`
`static GtkStockItem` `SORT_DESCENDING`
`static GtkStockItem` `SPELL_CHECK`
`static GtkStockItem` `STOP`
`static GtkStockItem` `STRIKETHROUGH`
`static GtkStockItem` `UNDELETE`
`static GtkStockItem` `UNDERLINE`
`static GtkStockItem` `UNDO`
`static GtkStockItem` `UNIDENT` Deprecated.
`static GtkStockItem` `UNINDENT`
`static GtkStockItem` `YES`
`static GtkStockItem` `ZOOM_100`
`static GtkStockItem` `ZOOM_FIT`
`static GtkStockItem` `ZOOM_IN`
`static GtkStockItem` `ZOOM_OUT`

Constructor Summary
`GtkStockItem(java.lang.String id)` Creates a new StockItem object, based on the id string for that object.

Method Summary
`java.lang.String` `getString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ABOUT

    public static final GtkStockItem ABOUT

  BEGINNING OF GENERATED CODE

### ADD

    public static final GtkStockItem ADD

### APPLY

    public static final GtkStockItem APPLY

### BOLD

    public static final GtkStockItem BOLD

### CANCEL

    public static final GtkStockItem CANCEL

### CDROM

    public static final GtkStockItem CDROM

### CLEAR

    public static final GtkStockItem CLEAR

### CLOSE

    public static final GtkStockItem CLOSE

### COLOR_PICKER

    public static final GtkStockItem COLOR_PICKER

### CONVERT

    public static final GtkStockItem CONVERT

### CONNECT

    public static final GtkStockItem CONNECT

### COPY

    public static final GtkStockItem COPY

### CUT

    public static final GtkStockItem CUT

### DELETE

    public static final GtkStockItem DELETE

### DIALOG_AUTHENTICATION

    public static final GtkStockItem DIALOG_AUTHENTICATION

### DIALOG_ERROR

    public static final GtkStockItem DIALOG_ERROR

### DIALOG_INFO

    public static final GtkStockItem DIALOG_INFO

### DIALOG_QUESTION

    public static final GtkStockItem DIALOG_QUESTION

### DIALOG_WARNING

    public static final GtkStockItem DIALOG_WARNING

### DIRECTORY

    public static final GtkStockItem DIRECTORY

### DISCONNECT

    public static final GtkStockItem DISCONNECT

### DND

    public static final GtkStockItem DND

### DND_MULTIPLE

    public static final GtkStockItem DND_MULTIPLE

### EDIT

    public static final GtkStockItem EDIT

### EXECUTE

    public static final GtkStockItem EXECUTE

### FIND

    public static final GtkStockItem FIND

### FIND_AND_REPLACE

    public static final GtkStockItem FIND_AND_REPLACE

### FLOPPY

    public static final GtkStockItem FLOPPY

### GOTO_BOTTOM

    public static final GtkStockItem GOTO_BOTTOM

### GOTO_FIRST

    public static final GtkStockItem GOTO_FIRST

### GOTO_LAST

    public static final GtkStockItem GOTO_LAST

### GOTO_TOP

    public static final GtkStockItem GOTO_TOP

### GO_BACK

    public static final GtkStockItem GO_BACK

### GO_DOWN

    public static final GtkStockItem GO_DOWN

### GO_FORWARD

    public static final GtkStockItem GO_FORWARD

### GO_UP

    public static final GtkStockItem GO_UP

### HARDDISK

    public static final GtkStockItem HARDDISK

### HELP

    public static final GtkStockItem HELP

### HOME

    public static final GtkStockItem HOME

### INDEX

    public static final GtkStockItem INDEX

### INDENT

    public static final GtkStockItem INDENT

### ITALIC

    public static final GtkStockItem ITALIC

### JUMP_TO

    public static final GtkStockItem JUMP_TO

### JUSTIFY_CENTER

    public static final GtkStockItem JUSTIFY_CENTER

### JUSTIFY_FILL

    public static final GtkStockItem JUSTIFY_FILL

### JUSTIFY_LEFT

    public static final GtkStockItem JUSTIFY_LEFT

### JUSTIFY_RIGHT

    public static final GtkStockItem JUSTIFY_RIGHT

### MEDIA_FORWARD

    public static final GtkStockItem MEDIA_FORWARD

### MEDIA_NEXT

    public static final GtkStockItem MEDIA_NEXT

### MEDIA_PAUSE

    public static final GtkStockItem MEDIA_PAUSE

### MEDIA_PLAY

    public static final GtkStockItem MEDIA_PLAY

### MEDIA_PREVIOUS

    public static final GtkStockItem MEDIA_PREVIOUS

### MEDIA_RECORD

    public static final GtkStockItem MEDIA_RECORD

### MEDIA_REWIND

    public static final GtkStockItem MEDIA_REWIND

### MEDIA_STOP

    public static final GtkStockItem MEDIA_STOP

### MISSING_IMAGE

    public static final GtkStockItem MISSING_IMAGE

### NETWORK

    public static final GtkStockItem NETWORK

### NEW

    public static final GtkStockItem NEW

### NO

    public static final GtkStockItem NO

### OK

    public static final GtkStockItem OK

### OPEN

    public static final GtkStockItem OPEN

### PASTE

    public static final GtkStockItem PASTE

### PREFERENCES

    public static final GtkStockItem PREFERENCES

### PRINT

    public static final GtkStockItem PRINT

### PRINT_PREVIEW

    public static final GtkStockItem PRINT_PREVIEW

### PROPERTIES

    public static final GtkStockItem PROPERTIES

### QUIT

    public static final GtkStockItem QUIT

### REDO

    public static final GtkStockItem REDO

### REFRESH

    public static final GtkStockItem REFRESH

### REMOVE

    public static final GtkStockItem REMOVE

### REVERT_TO_SAVED

    public static final GtkStockItem REVERT_TO_SAVED

### SAVE

    public static final GtkStockItem SAVE

### SAVE_AS

    public static final GtkStockItem SAVE_AS

### SELECT_COLOR

    public static final GtkStockItem SELECT_COLOR

### SELECT_FONT

    public static final GtkStockItem SELECT_FONT

### SORT_ASCENDING

    public static final GtkStockItem SORT_ASCENDING

### SORT_DESCENDING

    public static final GtkStockItem SORT_DESCENDING

### SPELL_CHECK

    public static final GtkStockItem SPELL_CHECK

### STOP

    public static final GtkStockItem STOP

### STRIKETHROUGH

    public static final GtkStockItem STRIKETHROUGH

### UNDELETE

    public static final GtkStockItem UNDELETE

### UNDERLINE

    public static final GtkStockItem UNDERLINE

### UNDO

    public static final GtkStockItem UNDO

### UNINDENT

    public static final GtkStockItem UNINDENT

### YES

    public static final GtkStockItem YES

### ZOOM_100

    public static final GtkStockItem ZOOM_100

### ZOOM_FIT

    public static final GtkStockItem ZOOM_FIT

### ZOOM_IN

    public static final GtkStockItem ZOOM_IN

### ZOOM_OUT

    public static final GtkStockItem ZOOM_OUT

### UNIDENT

    public static final GtkStockItem UNIDENT

  Deprecated.

Constructor Detail

### GtkStockItem

    public GtkStockItem(java.lang.String id)

  Creates a new StockItem object, based on the id string for that object. It is highly recommended that you use the static final strings which are part of this class rather than quoting the strings directly.

Method Detail

### getString

    public java.lang.String getString()